| Package
| Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS
FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD
DETAIL: FIELD | CONSTR | METHOD

## Class pointHandler

    java.lang.Object
      |
      +--Roi
            |
            +--pointHandler

class pointHandler
extends Roi

This class is responsible for dealing with the list of point coordinates and for their visual appearance.

Field Summary
`private static int` | `CROSS_HALFSIZE`
`private int` | `currentPoint`
`static int` | `GAMUT`
`private ImagePlus` | `imp`
`private java.util.Vector` | `listColors`
`private java.util.Vector` | `listPoints`
`static int` | `MONOCHROME`
`private int` | `nextColor`
`private int` | `numPoints`
`private pointAction` | `pa`
`static int` | `RAINBOW`
`private java.awt.Color[]` | `spectrum`
`private boolean` | `started`
`private pointToolbar` | `tb`
`private boolean[]` | `usedColor`

Constructor Summary
`pointHandler(ImagePlus imp, pointToolbar tb)` This constructor stores a local copy of its parameters and initializes the current spectrum.

Method Summary
`void` | `addPoint(int x, int y)` This method adds a new point to the list, with a color that is as different as possible from all those that are already in use.
`void` | `addPoint(int x, int y, int color)` This method adds a new point to the list, with a specific color.
`void` | `draw(java.awt.Graphics g)` Draw the landmarks and outline the current point if there is one.
`void` | `findClosest(int x, int y)` Let the point that is closest to the given coordinates become the current landmark.
`java.util.Vector` | `getColors()` Return the list of colors.
`java.lang.Integer` | `getCurrentColor()` Return the color of the current object.
`java.awt.Point` | `getPoint()` Return the current point as a `Point` object.
`java.util.Vector` | `getPoints()` Return the list of points.
`boolean` | `isUsedColor(int color)` Return `true` if color is free.
`void` | `movePoint(int x, int y)` Modify the location of the current point.
`void` | `movePoint(int x, int y, java.lang.Integer color)` Modify the location of the current point.
`void` | `nextPoint()` Change the current point.
`void` | `removePoint()` Remove the current point.
`void` | `removePoint(java.lang.Integer color)` Remove a point of a given index.
`void` | `removePoints()` Remove all points and make every color available.
`void` | `setPointAction(pointAction pa)` Stores a local copy of its parameter and allows the graphical operations to proceed.
`void` | `setSpectrum(int colorization)` Setup the color scheme.
`private int` | `stirColor(int color)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RAINBOW

    public static final int RAINBOW

See Also:
  Constant Field Values

### MONOCHROME

    public static final int MONOCHROME

See Also:
  Constant Field Values

### GAMUT

    public static final int GAMUT

See Also:
  Constant Field Values

### CROSS_HALFSIZE

    private static final int CROSS_HALFSIZE

See Also:
  Constant Field Values

### spectrum

    private final java.awt.Color[] spectrum

### usedColor

    private final boolean[] usedColor

### listColors

    private final java.util.Vector listColors

### listPoints

    private final java.util.Vector listPoints

### imp

    private ImagePlus imp

### pa

    private pointAction pa

### tb

    private pointToolbar tb

### nextColor

    private int nextColor

### currentPoint

    private int currentPoint

### numPoints

    private int numPoints

### started

    private boolean started

Constructor Detail

### pointHandler

    public pointHandler(ImagePlus imp,
                        pointToolbar tb)

  This constructor stores a local copy of its parameters and initializes the current spectrum. It also creates the object that takes care of the interactive work.

Parameters:
  `imp` - `ImagePlus` object where points are being picked.
  `tb` - `pointToolbar` object that handles the toolbar.

Method Detail

### addPoint

    public void addPoint(int x,
                         int y)

  This method adds a new point to the list, with a color that is as different as possible from all those that are already in use. The points are stored in pixel units rather than canvas units to cope for different zooming factors.

  Parameters:
    `x` - Horizontal coordinate, in canvas units.
    `y` - Vertical coordinate, in canvas units.

### addPoint

    public void addPoint(int x,
                         int y,
                         int color)

  This method adds a new point to the list, with a specific color. The points are stored in pixel units rather than canvas units to cope for different zooming factors.

  Parameters:
    `x` - Horizontal coordinate, in canvas units.
    `y` - Vertical coordinate, in canvas units.
    `color` - Specific color.

### draw

    public void draw(java.awt.Graphics g)

  Draw the landmarks and outline the current point if there is one.

  Parameters:
    `g` - Graphics environment.

### findClosest

    public void findClosest(int x,
                            int y)

  Let the point that is closest to the given coordinates become the current landmark.

  Parameters:
    `x` - Horizontal coordinate, in canvas units.
    `y` - Vertical coordinate, in canvas units.

### getColors

    public java.util.Vector getColors()

  Return the list of colors.

### getCurrentColor

    public java.lang.Integer getCurrentColor()

  Return the color of the current object. Return -1 if there is none.

### getPoint

    public java.awt.Point getPoint()

  Return the current point as a `Point` object.

### getPoints

    public java.util.Vector getPoints()

  Return the list of points.

### isUsedColor

    public boolean isUsedColor(int color)

  Return `true` if color is free. Return `false` if color is in use.

### movePoint

    public void movePoint(int x,
                          int y)

  Modify the location of the current point. Clip the admissible range to the image size.

  Parameters:
    `x` - Desired new horizontal coordinate in canvas units.
    `y` - Desired new vertical coordinate in canvas units.

### movePoint

    public void movePoint(int x,
                          int y,
                          java.lang.Integer color)

  Modify the location of the current point. Clip the admissible range to the image size.

  Parameters:
    `x` - Desired new horizontal coordinate in canvas units.
    `y` - Desired new vertical coordinate in canvas units.
    `color` - Color index of the point to move.

### nextPoint

    public void nextPoint()

  Change the current point.

### removePoint

    public void removePoint()

  Remove the current point. Make its color available again.

### removePoint

    public void removePoint(java.lang.Integer color)

  Remove a point of a given index. Make its color available again.

  Parameters:
    `color` - Color index of the point to remove.

### removePoints

    public void removePoints()

  Remove all points and make every color available.

### setPointAction

    public void setPointAction(pointAction pa)

  Stores a local copy of its parameter and allows the graphical operations to proceed. The present class is now fully initialized.

  Parameters:
    `pa` - `pointAction` object.

### setSpectrum

    public void setSpectrum(int colorization)

  Setup the color scheme.

### stirColor

    private int stirColor(int color)

| Package
| Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS
FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD
DETAIL: FIELD | CONSTR | METHOD